/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CLASSIFICABEM                                            */
/* Tabela : CLASSIFICABEM                                                     */
/*                                                                            */
/* Criao:                                                                   */
/* 15/01/2009 - Frederico Gonalves Moreira da Costa                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE
TRIGGER DTULTATU_CLASSIFICABEM
BEFORE INSERT OR UPDATE OR DELETE
ON CLASSIFICABEM FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF(NVL(:OLD.CDEMPRESA,0) <> NVL(:NEW.CDEMPRESA,0)) OR
        (NVL(:OLD.CDGRUPOBEM,0) <> NVL(:NEW.CDGRUPOBEM,0)) OR
        (NVL(:OLD.CDCLASSIFICABEM,0) <> NVL(:NEW.CDCLASSIFICABEM,0)) OR
        (NVL(:OLD.NMCLASSIFICABEM,0) <> NVL(:NEW.NMCLASSIFICABEM,0)) OR
        (NVL(:OLD.NMABREVCLASSBEM,0) <> NVL(:NEW.NMABREVCLASSBEM,0)) OR
        (NVL(:OLD.CDNVCLASSIFIBEM,0) <> NVL(:NEW.CDNVCLASSIFIBEM,0)) OR
        (NVL(:OLD.DSOBSCLASSIFBEM,0) <> NVL(:NEW.DSOBSCLASSIFBEM,0)) OR
        (NVL(:OLD.CDARVCLASSIFBEM,0) <> NVL(:NEW.CDARVCLASSIFBEM,0)) THEN
         :NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE,CDFILICACHE,DSKEYCACHE,DTULTATUCACH)
      VALUES ('CLASSIFICABEM','','CDEMPRESA='||:OLD.CDEMPRESA||';CDGRUPOBEM='||:OLD.CDGRUPOBEM||';CDCLASSIFICABEM='||:OLD.CDCLASSIFICABEM||';',SYSDATE);
   END IF;
END;
/
ALTER TABLE CLASSIFICABEM MODIFY DTULTATU DEFAULT SYSDATE
/
UPDATE CLASSIFICABEM SET DTULTATU = SYSDATE WHERE DTULTATU IS NULL
/
-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_CLASSIFICABEM','5.05.119'); END;
/

